LibreOffice: GlobalDocument Service Reference

LibreOffice LibreOffice 4.4 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Included Services | List of all members
GlobalDocument Service Reference

Specify the document service of the global text module. More...

`import"GlobalDocument.idl";`

Inheritance diagram for GlobalDocument:

## Included Services
service | GenericTextDocument
| Provides the functionality of such global document. More...
Included Services inherited from GenericTextDocument
service | com::sun::star::document::OfficeDocument

## Additional Inherited Members
Exported Interfaces inherited from GenericTextDocument
interface | com::sun::star::lang::XMultiServiceFactory
| provides methods to create instances of several text document services. More...
interface | com::sun::star::text::XTextDocument
interface | com::sun::star::util::XSearchable
interface | com::sun::star::util::XRefreshable
interface | com::sun::star::text::XFootnotesSupplier
interface | com::sun::star::text::XEndnotesSupplier
interface | com::sun::star::util::XReplaceable
interface | com::sun::star::text::XPagePrintable
interface | com::sun::star::text::XReferenceMarksSupplier
interface | com::sun::star::text::XChapterNumberingSupplier
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::text::XTextGraphicObjectsSupplier
interface | com::sun::star::text::XTextEmbeddedObjectsSupplier
interface | com::sun::star::text::XTextTablesSupplier
interface | com::sun::star::style::XStyleFamiliesSupplier
interface | com::sun::star::text::XBookmarksSupplier
interface | com::sun::star::text::XDocumentIndexesSupplier
interface | com::sun::star::text::XTextFieldsSupplier
interface | com::sun::star::text::XTextFramesSupplier
interface | com::sun::star::text::XTextSectionsSupplier
interface | com::sun::star::util::XNumberFormatsSupplier
Exported Interfaces inherited from OfficeDocument
interface | com::sun::star::frame::XModel
| represents a component which is created from an URL and arguments More...
interface | com::sun::star::util::XModifiable
| a storable document should provide information about his modify state More...
interface | com::sun::star::frame::XStorable
| offers a simple way to store a component to an URL More...
interface | com::sun::star::view::XPrintable
| offers a way to print a component More...
interface | XEventBroadcaster
| is an old and deprecated version of the XDocumentEventBroadcaster interface More...
interface | XDocumentEventBroadcaster
| makes it possible to register listeners which are called whenever a document event occurs More...
interface | XEventsSupplier
| access to bound event handlers More...
interface | XViewDataSupplier
| access to some properties describing all open views to a document More...
interface | com::sun::star::view::XPrintJobBroadcaster
| allows for getting information about a print job More...
interface | XEmbeddedScripts
| is supported when the document can contain scripts and dialogs More...
interface | XDocumentPropertiesSupplier
| access to the DocumentProperties. More...
interface | XUndoManagerSupplier
| provides access to the document's undo manager. More...
Public Member Functions inherited from XModel
boolean | attachResource ([in] string URL, [in] sequence< com::sun::star::beans::PropertyValue > Arguments)
| informs a model about its resource description. More...
string | getURL ()
| provides information about the location of this model More...
sequence< com::sun::star::beans::PropertyValue > | getArgs ()
| provides read access on currently representation of the com::sun::star::document::MediaDescriptor of this model which describes the model and his state More...
void | connectController ([in] XController Controller)
| is called whenever a new controller is created for this model. More...
void | disconnectController ([in] XController Controller)
| is called whenever an existing controller should be deregistered at this model. More...
void | lockControllers ()
| suspends some notifications to the controllers which are used for display updates. More...
void | unlockControllers ()
| resumes the notifications which were suspended by XModel::lockControllers(). More...
boolean | hasControllersLocked ()
| determines if there is at least one lock remaining. More...
XController | getCurrentController ()
| provides access to the controller which currently controls this model More...
void | setCurrentController ([in] XController Controller) raises ( com::sun::star::container::NoSuchElementException )
| sets a registered controller as the current controller. More...
com::sun::star::uno::XInterface | getCurrentSelection ()
| provides read access on current selection on controller More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XModifiable
boolean | isModified ()
void | setModified ([in] boolean bModified) raises ( com::sun::star::beans::PropertyVetoException )
| sets the status of the modified-flag from outside of the object. More...
Public Member Functions inherited from XModifyBroadcaster
void | addModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| adds the specified listener to receive events "modified." More...
void | removeModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| removes the specified listener. More...
Public Member Functions inherited from XStorable
boolean | hasLocation ()
| The object may know the location because it was loaded from there, or because it is stored there. More...
string | getLocation ()
| After XStorable::storeAsURL() it returns the URL the object was stored to. More...
boolean | isReadonly ()
| It is not possible to call XStorable::store() successfully when the data store is read-only. More...
void | store () raises ( com::sun::star::io::IOException )
| stores the data to the URL from which it was loaded. More...
void | storeAsURL ([in] string sURL, [in] sequence< com::sun::star::beans::PropertyValue > lArguments) raises ( com::sun::star::io::IOException )
| stores the object's persistent data to a URL and makes this URL the new location of the object. More...
void | storeToURL ([in] string sURL, [in] sequence< com::sun::star::beans::PropertyValue > lArguments) raises ( com::sun::star::io::IOException )
| stores the object's persistent data to a URL and continues to be a representation of the old URL. More...
Public Member Functions inherited from XPrintable
sequence< com::sun::star::beans::PropertyValue > | getPrinter ()
void | setPrinter ([in] sequence< com::sun::star::beans::PropertyValue > aPrinter) raises ( com::sun::star::lang::IllegalArgumentException )
| assigns a new printer to the object. More...
void | print ([in] sequence< com::sun::star::beans::PropertyValue > xOptions) raises ( com::sun::star::lang::IllegalArgumentException )
| prints the object. More...
Public Member Functions inherited from XMultiServiceFactory
com::sun::star::uno::XInterface | createInstance ([in] string aServiceSpecifier) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name. More...
com::sun::star::uno::XInterface | createInstanceWithArguments ([in] string ServiceSpecifier, [in] sequence< any > Arguments) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name and passes the arguments to that instance. More...
sequence< string > | getAvailableServiceNames ()
| Provides the available names of the factory to be used to create instances. More...
Public Member Functions inherited from XTextDocument
com::sun::star::text::XText | getText ()
void | reformat ()
| reformats the contents of the document. More...
Public Member Functions inherited from XSearchable
com::sun::star::util::XSearchDescriptor | createSearchDescriptor ()
| creates a SearchDescriptor which contains properties that specify a search in this container. More...
com::sun::star::container::XIndexAccess | findAll ([in] com::sun::star::util::XSearchDescriptor xDesc)
| searches the contained texts for all occurrences of whatever is specified. More...
com::sun::star::uno::XInterface | findFirst ([in] com::sun::star::util::XSearchDescriptor xDesc)
| searches the contained texts for the next occurrence of whatever is specified. More...
com::sun::star::uno::XInterface | findNext ([in] com::sun::star::uno::XInterface xStartAt, [in] com::sun::star::util::XSearchDescriptor xDesc)
| searches the contained texts for the next occurrence of whatever is specified. More...
Public Member Functions inherited from XRefreshable
void | refresh ()
| refreshes the data of the object from the connected data source. More...
void | addRefreshListener ([in] com::sun::star::util::XRefreshListener l)
| adds the specified listener to receive the event "refreshed." More...
void | removeRefreshListener ([in] com::sun::star::util::XRefreshListener l)
| removes the specified listener. More...
Public Attributes inherited from GenericTextDocument
com::sun::star::lang::Locale | CharLocale
| contains the identifier of the default locale of the document. More...
long | CharacterCount
| contains the count of all characters in the document. More...
long | ParagraphCount
| contains the count of all paragraphs in the document. More...
long | WordCount
| contains the count of all words in the document. More...
string | WordSeparator
| contains a string that consists of characters that mark the separation of words in counting the words in a document. More...
string | IndexAutoMarkFileURL
| specifies the concordance file taken into account when creating an index. More...
boolean | RecordChanges
| specifies if change recording is active. More...
short | TwoDigitYear
| specifies the first 4 digit year to be used when years are given in 2 digits. More...
Public Attributes inherited from OfficeDocument
boolean | AutomaticControlFocus
| controls the focus behavior of the form controls in the document More...
boolean | ApplyFormDesignMode
| controls the initial (on-load) behavior of the form controls in the document More...
string | RuntimeUID
| contains a unique id for the document More...
sequence< com::sun::star::beans::PropertyValue > | InteropGrabBag
| Grab bag of document properties, used as a string-any map for interim interop purposes. More...
Protected Member Functions inherited from XEventBroadcaster
void | addEventListener ([in] XEventListener Listener)
| registers the given listener More...
void | removeEventListener ([in] XEventListener Listener)
| unregisters the given listener More...
Protected Member Functions inherited from XDocumentEventBroadcaster
void | addDocumentEventListener ([in] XDocumentEventListener Listener)
| registers a listener which is notified about document events More...
void | removeDocumentEventListener ([in] XDocumentEventListener Listener)
| revokes a listener which has previously been registered to be notified about document events. More...
void | notifyDocumentEvent ([in] string EventName, [in]::com::sun::star::frame::XController2 ViewController, [in] any Supplement) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::lang::NoSupportException )
| causes the broadcaster to notify all registered listeners of the given event More...
Protected Member Functions inherited from XEventsSupplier
com::sun::star::container::XNameReplace | getEvents ()
| offers a list of event handlers which are be bound to events of this object More...
Protected Member Functions inherited from XViewDataSupplier
::com::sun::star::container::XIndexAccess | getViewData ()
| retrieve information about currently opened view to restore it later More...
void | setViewData ([in] com::sun::star::container::XIndexAccess Data)
| restore all views which will be represented by given data argument More...
Protected Member Functions inherited from XPrintJobBroadcaster
void | addPrintJobListener ([in] XPrintJobListener xListener)
| adds an XPrintJobListener to be notified about print progress. More...
void | removePrintJobListener ([in] XPrintJobListener xListener)
| removes an XPrintJobListener. More...
Protected Member Functions inherited from XDocumentPropertiesSupplier
XDocumentProperties | getDocumentProperties ()
| provides the document properties object. More...
Protected Member Functions inherited from XUndoManagerSupplier
XUndoManager | getUndoManager ()
| returns the Undo manager associated with the component. More...
Protected Member Functions inherited from XFootnotesSupplier
com::sun::star::container::XIndexAccess | getFootnotes ()
| returns a collection of footnotes. More...
com::sun::star::beans::XPropertySet | getFootnoteSettings ()
Protected Member Functions inherited from XEndnotesSupplier
com::sun::star::container::XIndexAccess | getEndnotes ()
com::sun::star::beans::XPropertySet | getEndnoteSettings ()
Protected Member Functions inherited from XReplaceable
com::sun::star::util::XReplaceDescriptor | createReplaceDescriptor ()
| creates a descriptor which contains properties that specify a search in this container. More...
long | replaceAll ([in] com::sun::star::util::XSearchDescriptor xDesc)
| searches for all occurrences of whatever is specified. More...
Protected Member Functions inherited from XPagePrintable
sequence< com::sun::star::beans::PropertyValue > | getPagePrintSettings ()
void | setPagePrintSettings ([in] sequence< com::sun::star::beans::PropertyValue > aSettings)
| adjusts the settings of the page printing. More...
void | printPages ([in] sequence< com::sun::star::beans::PropertyValue > xOptions) raises ( com::sun::star::lang::IllegalArgumentException )
| prints the pages according to the PagePrintSettings. More...
Protected Member Functions inherited from XReferenceMarksSupplier
com::sun::star::container::XNameAccess | getReferenceMarks ()
Protected Member Functions inherited from XChapterNumberingSupplier
com::sun::star::container::XIndexReplace | getChapterNumberingRules ()
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Protected Member Functions inherited from XTextGraphicObjectsSupplier
com::sun::star::container::XNameAccess | getGraphicObjects ()
Protected Member Functions inherited from XTextEmbeddedObjectsSupplier
com::sun::star::container::XNameAccess | getEmbeddedObjects ()
Protected Member Functions inherited from XTextTablesSupplier
com::sun::star::container::XNameAccess | getTextTables ()
Protected Member Functions inherited from XStyleFamiliesSupplier
com::sun::star::container::XNameAccess | getStyleFamilies ()
| This method returns the collection of style families available in the container document. More...
Protected Member Functions inherited from XBookmarksSupplier
com::sun::star::container::XNameAccess | getBookmarks ()
Protected Member Functions inherited from XDocumentIndexesSupplier
com::sun::star::container::XIndexAccess | getDocumentIndexes ()
Protected Member Functions inherited from XTextFieldsSupplier
com::sun::star::container::XEnumerationAccess | getTextFields ()
com::sun::star::container::XNameAccess | getTextFieldMasters ()
Protected Member Functions inherited from XTextFramesSupplier
com::sun::star::container::XNameAccess | getTextFrames ()
| returns a collection of text frames. More...
Protected Member Functions inherited from XTextSectionsSupplier
com::sun::star::container::XNameAccess | getTextSections ()
Protected Member Functions inherited from XNumberFormatsSupplier
com::sun::star::beans::XPropertySet | getNumberFormatSettings ()
com::sun::star::util::XNumberFormats | getNumberFormats ()
Protected Attributes inherited from XEmbeddedScripts
::com::sun::star::script::XStorageBasedLibraryContainer | BasicLibraries
| is the container of `StarBasic` macro libraries contained in the document More...
::com::sun::star::script::XStorageBasedLibraryContainer | DialogLibraries
| is the container of dialogs libraries contained in the document More...
boolean | AllowMacroExecution
| determines whether executing macros from this document is allowed. More...

## Detailed Description

Specify the document service of the global text module.

Deprecated:

## Exported Interfaces

service GenericTextDocument

Provides the functionality of such global document.

The documentation for this service was generated from the following file:

- com/sun/star/text/GlobalDocument.idl